## gcc-defaults-arm64-cross 0.3

=== debian/changelog ===
gcc-defaults-arm64-cross (0.3) saucy; urgency=low

  * Bump version to 4.8.1.
  * Build gcj and gdc packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jun 2013 13:54:28 +0200

gcc-defaults-arm64-cross (0.2) saucy; urgency=low

  * Bump default GCC version to 4.8 to match native compilers.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 27 Apr 2013 12:18:34 -0600
