=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 REL_NO	:= 1
-GCC_VER := 4.7.2
+GCC_VER := 4.8.1
 
 # minimum required gcc-X.Y versions
 REQV		:= (>= $(GCC_VER)-$(REL_NO))
@@ -16,6 +16,8 @@
 CV_GOBJCXX	:= $(GCC_VER)-$(REL_NO)
 CV_GFORT	:= $(GCC_VER)-$(REL_NO)
 CV_GGO		:= $(GCC_VER)-$(REL_NO)
+CV_GDC		:= $(GCC_VER)-$(REL_NO)
+CV_GCJ		:= $(GCC_VER)-$(REL_NO)
 
 REQV_CPP	= $(REQV)
 REQV_GCC	= $(REQV)
@@ -24,6 +26,8 @@
 REQV_GOBJCXX	= $(REQV)
 REQV_GFORT	= $(REQV)
 REQV_GGO	= $(REQV)
+REQV_GDC	= $(REQV)
+REQV_GCJ	= $(REQV)
 
 CROSS_ARCH       := $(shell dpkg-parsechangelog| sed -n 's/^Source: gcc-defaults-\(.*\)-cross/\1/p')
 CROSS_GNU_TYPE   := $(shell dpkg-architecture -a${CROSS_ARCH} -qDEB_HOST_GNU_TYPE -f)
@@ -45,6 +49,8 @@
 	pkg-config-${CROSS_GNU_TYPE} \
 	g++-${CROSS_GNU_TYPE} \
 	gfortran-${CROSS_GNU_TYPE} \
+	gdc-${CROSS_GNU_TYPE} \
+	gcj-${CROSS_GNU_TYPE} \
 
 no_packages	:= \
 	gobjc-${CROSS_GNU_TYPE} \
@@ -61,6 +67,8 @@
 V_GOBJCXX	:= $(shell echo $(CV_GOBJCXX) | sed 's/-[^-]*$$//')
 V_GFORT	:= $(shell echo $(CV_GFORT) | sed 's/-[^-]*$$//')
 V_GGO	:= $(shell echo $(CV_GGO) | sed 's/-[^-]*$$//')
+V_GDC	:= $(shell echo $(CV_GDC) | sed 's/-[^-]*$$//')
+V_GCJ	:= $(shell echo $(CV_GCJ) | sed 's/-[^-]*$$//')
 
 # number for the package name
 PV_CPP	:= $(shell echo $(V_CPP)   | awk -F. '{printf "%d.%d", $$1, $$2}')
@@ -70,6 +78,8 @@
 PV_GOBJCXX:= $(shell echo $(V_GOBJCXX) | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_GFORT:= $(shell echo $(V_GFORT) | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_GGO	:= $(shell echo $(V_GGO) | awk -F. '{printf "%d.%d", $$1, $$2}')
+PV_GDC	:= $(shell echo $(V_GDC) | awk -F. '{printf "%d.%d", $$1, $$2}')
+PV_GCJ	:= $(shell echo $(V_GCJ) | awk -F. '{printf "%d.%d", $$1, $$2}')
 
 substvars:
 	( \
@@ -85,6 +95,8 @@
 	  echo 'pv:gobjcxx=$(PV_GOBJCXX)'; \
 	  echo 'pv:gfort=$(PV_GFORT)'; \
 	  echo 'pv:ggo=$(PV_GGO)'; \
+	  echo 'pv:gdc=$(PV_GDC)'; \
+	  echo 'pv:gcj=$(PV_GCJ)'; \
 	  echo 'reqv:cpp=$(REQV_CPP)'; \
 	  echo 'reqv:gcc=$(REQV_GCC)'; \
 	  echo 'reqv:gpp=$(REQV_GPP)'; \
@@ -92,6 +104,8 @@
 	  echo 'reqv:gobjcxx=$(REQV_GOBJCXX)'; \
 	  echo 'reqv:gfort=$(REQV_GFORT)'; \
 	  echo 'reqv:ggo=$(REQV_GGO)'; \
+	  echo 'reqv:gdc=$(REQV_GDC)'; \
+	  echo 'reqv:gcj=$(REQV_GCJ)'; \
 	) > debian/substvars.local
 
 build: build-stamp
@@ -163,6 +177,13 @@
 	dh_link -pgccgo-${CROSS_GNU_TYPE} \
           /usr/bin/${CROSS_GNU_TYPE}-gccgo-$(PV_GGO) /usr/bin/${CROSS_GNU_TYPE}-gccgo \
           /usr/share/man/man1/${CROSS_GNU_TYPE}-gccgo-$(PV_GGO).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gccgo.1.gz
+	dh_link -pgdc-${CROSS_GNU_TYPE} \
+          /usr/bin/${CROSS_GNU_TYPE}-gdc-$(PV_GDC) /usr/bin/${CROSS_GNU_TYPE}-gdc \
+          /usr/share/man/man1/${CROSS_GNU_TYPE}-gdc-$(PV_GDC).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gdc.1.gz
+
+	dh_link -pgcj-${CROSS_GNU_TYPE} \
+          /usr/bin/${CROSS_GNU_TYPE}-gcj-$(PV_GCJ) /usr/bin/${CROSS_GNU_TYPE}-gcj \
+          /usr/share/man/man1/${CROSS_GNU_TYPE}-gcj-$(PV_GCJ).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gcj.1.gz
 
 	dh_installchangelogs -pcpp-${CROSS_GNU_TYPE}
 	mv debian/cpp-${CROSS_GNU_TYPE}/usr/share/doc/cpp-${CROSS_GNU_TYPE}/changelog \
@@ -189,22 +210,7 @@
 ifneq (,$(filter gccgo-${CROSS_GNU_TYPE}, $(packages)))
 	dh_gencontrol -pgccgo-${CROSS_GNU_TYPE}     -u-v$(EPOCH):$(CV_GGO)
 endif
-	dh_md5sums -s $(nopkgs)
-	dh_builddeb -s $(nopkgs)
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
-
-control:
-	sed -e "s/CROSS_ARCH/${CROSS_ARCH}/g" \
-	    -e "s/CROSS_GNU_TYPE/${CROSS_GNU_TYPE}/g" \
-	    -e "s/CROSS_GNU_TYPE/${CROSS_GNU_TYPE}/g" \
-	    -e "s/MULTILIB/${MULTILIB}/g" \
-	    -e "s/MULTIGOLIB/${MULTIGOLIB}/g" \
-	    -e "s/MIN_VER_EGLIBC/${MIN_VER_EGLIBC}/g" \
-	    -e "s/MIN_VER_LINUX/${MIN_VER_LINUX}/g" \
-	    -e "s/VER_LINUX/${VER_LINUX}/g" \
-	    -e "s/MIN_VER_GCC/${MIN_VER_GCC}/g" \
-	    -e "s/VER_GCC_BASE/${VER_GCC_BASE}/g" \
-	    -e "s/EXTRA_DEPS/${EXTRA_DEPS}/g" \
-	    $(CURDIR)/debian/control.in >$(CURDIR)/debian/control
+ifneq (,$(filter gdc-${CROSS_GNU_TYPE}, $(packages)))
+	dh_gencontrol -pgdc-${CROSS_GNU_TYPE}     -u-v$(EPOCH):$(CV_GDC)
+endif
+ifneq (,$(filter gcj-${CROSS_GNU_TYPE}, $(packages)))
