## gcc-defaults-arm64-cross 0.4

=== debian/changelog ===
gcc-defaults-arm64-cross (0.4) trusty; urgency=low

  * Bump version to 4.8.2.
  * Build gobjc, gobjc++, gccgo packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Dec 2013 14:31:34 +0100
