=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.13.9), lsb-release
 XS-Python-Version: all
 
@@ -88,6 +88,28 @@
  This is a dependency package providing the default GNU Go cross-compiler
  cross-compiler for the arm64 architecture.
 
+Package: gcj-aarch64-linux-gnu
+Priority: optional
+Architecture: amd64 i386
+Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gcj-${pv:gcj}-aarch64-linux-gnu ${reqv:gcj}, ${misc:Depends}
+Description: GNU Java compiler, based on the GCC backend
+ This is the GNU Java compiler, which compiles java on platforms supported by
+ the gcc compiler. It uses the gcc backend to generate optimized code.
+ .
+ This is a dependency package providing the default GNU Java cross-compiler
+ cross-compiler for the arm64 architecture.
+
+Package: gdc-aarch64-linux-gnu
+Priority: optional
+Architecture: amd64 i386
+Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gdc-${pv:gdc}-aarch64-linux-gnu ${reqv:gdc}, ${misc:Depends}
+Description: GNU D compiler, based on the GCC backend
+ This is the GNU D compiler, which compiles D on platforms supported by
+ the gcc compiler. It uses the gcc backend to generate optimized code.
+ .
+ This is a dependency package providing the default GNU D cross-compiler
+ cross-compiler for the arm64 architecture.
+
 Package: gcc-aarch64-linux-gnu
 Priority: optional
 Architecture: amd64 i386
