=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 REL_NO	:= 1
-GCC_VER := 4.8.1
+GCC_VER := 4.8.2
 
 # minimum required gcc-X.Y versions
 REQV		:= (>= $(GCC_VER)-$(REL_NO))
@@ -46,16 +46,16 @@
 EPOCH=4
 distribution := $(shell lsb_release -is)
 all_packages    := \
-	pkg-config-${CROSS_GNU_TYPE} \
 	g++-${CROSS_GNU_TYPE} \
 	gfortran-${CROSS_GNU_TYPE} \
 	gdc-${CROSS_GNU_TYPE} \
 	gcj-${CROSS_GNU_TYPE} \
-
-no_packages	:= \
 	gobjc-${CROSS_GNU_TYPE} \
 	gobjc++-${CROSS_GNU_TYPE} \
 	gccgo-${CROSS_GNU_TYPE} \
+	pkg-config-${CROSS_GNU_TYPE} \
+
+no_packages	:=
 
 packages := $(filter-out $(no_packages), $(all_packages))
