## gcc-defaults-arm64-cross 0.5

=== debian/changelog ===
gcc-defaults-arm64-cross (0.5) utopic; urgency=medium

  * Bump version to 4.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Aug 2014 18:26:35 +0200
