=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 REL_NO	:= 1
-GCC_VER := 4.8.2
+GCC_VER := 4.9.1
 
 # minimum required gcc-X.Y versions
 REQV		:= (>= $(GCC_VER)-$(REL_NO))
