## gcc-defaults-arm64-cross 0.8

=== debian/changelog ===
gcc-defaults-arm64-cross (0.8) vivid; urgency=medium

  * Bump the Ubuntu revision.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2015 13:59:52 +0100

gcc-defaults-arm64-cross (0.7) vivid; urgency=medium

  * Build on amd64 only, fails to build on i386. See Linaro #1391.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2015 13:30:43 +0100

gcc-defaults-arm64-cross (0.6) vivid; urgency=medium

  * Bump version to 4.9.2.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2015 11:59:43 +0100
