=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: cpp-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Section: interpreters
 Depends: cpp-${pv:cpp}-aarch64-linux-gnu ${reqv:cpp}, ${misc:Depends}
 Conflicts: cpp-4.4-aarch64-linux-gnu (<= 4.4.5-15~), cpp-4.5-aarch64-linux-gnu (<= 4.5.2-8~)
@@ -26,7 +26,7 @@
 
 Package: g++-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gcc-aarch64-linux-gnu (>= ${version:cpp}), g++-${pv:gpp}-aarch64-linux-gnu ${reqv:gpp}, gcc-${pv:gpp}-aarch64-linux-gnu ${reqv:gpp}, ${misc:Depends}
 Conflicts: g++-4.4-aarch64-linux-gnu (<= 4.4.5-15~), g++-4.5-aarch64-linux-gnu (<= 4.5.2-8~)
 Description: The GNU C++ compiler for arm64 architecture
@@ -37,7 +37,7 @@
 
 Package: gobjc-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gcc-aarch64-linux-gnu (>= ${version:cpp}), gobjc-${pv:gobjc}-aarch64-linux-gnu ${reqv:gobjc}, ${misc:Depends}
 Conflicts: gobjc-4.4-aarch64-linux-gnu (<= 4.4.5-15~), gobjc-4.5-aarch64-linux-gnu (<= 4.5.2-8~)
 Description: The GNU Objective-C compiler for arm64 architecture
@@ -50,7 +50,7 @@
 
 Package: gobjc++-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gcc-aarch64-linux-gnu (>= ${version:cpp}), gobjc++-${pv:gobjcxx}-aarch64-linux-gnu ${reqv:gobjcxx}, ${misc:Depends}
 Conflicts: gobjc++-4.4-aarch64-linux-gnu (<= 4.4.5-15~), gobjc++-4.5-aarch64-linux-gnu (<= 4.5.2-8~)
 Recommends: g++-aarch64-linux-gnu (>= ${version:cpp}), gobjc-aarch64-linux-gnu (>= ${version:cpp})
@@ -64,7 +64,7 @@
 
 Package: gfortran-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gcc-aarch64-linux-gnu (>= ${version:gcc}), gfortran-${pv:gfort}-aarch64-linux-gnu ${reqv:gfort}, ${misc:Depends}
 Conflicts: gfortran-4.4-aarch64-linux-gnu (<= 4.4.5-15~), gfortran-4.5-aarch64-linux-gnu (<= 4.5.2-8~)
 Suggests: gfortran-doc
@@ -78,7 +78,7 @@
 
 Package: gccgo-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), g++-aarch64-linux-gnu (>= ${version:gcc}), gccgo-${pv:ggo}-aarch64-linux-gnu ${reqv:ggo}, ${misc:Depends}
 Suggests: gccgo-doc
 Description: Go compiler, based on the GCC backend
@@ -90,7 +90,7 @@
 
 Package: gcj-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gcj-${pv:gcj}-aarch64-linux-gnu ${reqv:gcj}, ${misc:Depends}
 Description: GNU Java compiler, based on the GCC backend
  This is the GNU Java compiler, which compiles java on platforms supported by
@@ -101,7 +101,7 @@
 
 Package: gdc-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gdc-${pv:gdc}-aarch64-linux-gnu ${reqv:gdc}, ${misc:Depends}
 Description: GNU D compiler, based on the GCC backend
  This is the GNU D compiler, which compiles D on platforms supported by
@@ -112,7 +112,7 @@
 
 Package: gcc-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: cpp-aarch64-linux-gnu (>= ${version:cpp}), gcc-${pv:gcc}-aarch64-linux-gnu ${reqv:gcc}, ${misc:Depends}
 Conflicts: gcc-4.4-aarch64-linux-gnu (<= 4.4.5-15~), gcc-4.5-aarch64-linux-gnu (<= 4.5.2-8~)
 Recommends: libc6-dev-arm64-cross | libc-dev-arm64-cross
@@ -125,7 +125,7 @@
 
 Package: pkg-config-aarch64-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64
 Depends: pkg-config (>= 0.25-1.1ubuntu2), ${misc:Depends}
 Description: manage compile and link flags for libraries for arm64 architecture
  pkg-config is a system for managing library compile and link flags that
