=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-REL_NO	:= 1
-GCC_VER := 4.9.1
+REL_NO	:= 2
+GCC_VER := 4.9.2
 
 # minimum required gcc-X.Y versions
 REQV		:= (>= $(GCC_VER)-$(REL_NO))
