## gcc-defaults-arm64-cross 0.11

=== debian/changelog ===
gcc-defaults-arm64-cross (0.11) wily; urgency=medium

  * Bump revision number.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Aug 2015 10:03:26 +0200

gcc-defaults-arm64-cross (0.10) wily; urgency=medium

  * Build again on i386.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Aug 2015 01:06:01 +0200

gcc-defaults-arm64-cross (0.9) wily; urgency=medium

  * Bump version to 5.2.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Aug 2015 21:28:51 +0200
