=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-REL_NO	:= 2
-GCC_VER := 4.9.2
+REL_NO	:= 13
+GCC_VER := 5.2.1
 
 # minimum required gcc-X.Y versions
 REQV		:= (>= $(GCC_VER)-$(REL_NO))
@@ -71,15 +71,15 @@
 V_GCJ	:= $(shell echo $(CV_GCJ) | sed 's/-[^-]*$$//')
 
 # number for the package name
-PV_CPP	:= $(shell echo $(V_CPP)   | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GCC	:= $(shell echo $(V_GCC)   | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GPP	:= $(shell echo $(V_GPP)   | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GOBJC:= $(shell echo $(V_GOBJC) | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GOBJCXX:= $(shell echo $(V_GOBJCXX) | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GFORT:= $(shell echo $(V_GFORT) | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GGO	:= $(shell echo $(V_GGO) | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GDC	:= $(shell echo $(V_GDC) | awk -F. '{printf "%d.%d", $$1, $$2}')
-PV_GCJ	:= $(shell echo $(V_GCJ) | awk -F. '{printf "%d.%d", $$1, $$2}')
+PV_CPP	:= $(shell echo $(V_CPP)   | awk -F. '{printf "%d", $$1}')
+PV_GCC	:= $(shell echo $(V_GCC)   | awk -F. '{printf "%d", $$1}')
+PV_GPP	:= $(shell echo $(V_GPP)   | awk -F. '{printf "%d", $$1}')
+PV_GOBJC:= $(shell echo $(V_GOBJC) | awk -F. '{printf "%d", $$1}')
+PV_GOBJCXX:= $(shell echo $(V_GOBJCXX) | awk -F. '{printf "%d", $$1}')
+PV_GFORT:= $(shell echo $(V_GFORT) | awk -F. '{printf "%d", $$1}')
+PV_GGO	:= $(shell echo $(V_GGO) | awk -F. '{printf "%d", $$1}')
+PV_GDC	:= $(shell echo $(V_GDC) | awk -F. '{printf "%d", $$1}')
+PV_GCJ	:= $(shell echo $(V_GCJ) | awk -F. '{printf "%d", $$1}')
 
 substvars:
 	( \
@@ -163,8 +163,10 @@
 	dh_link -pgcc-${CROSS_GNU_TYPE} \
           /usr/bin/${CROSS_GNU_TYPE}-gcc-$(PV_GCC) /usr/bin/${CROSS_GNU_TYPE}-gcc \
           /usr/bin/${CROSS_GNU_TYPE}-gcov-$(PV_GCC) /usr/bin/${CROSS_GNU_TYPE}-gcov \
+          /usr/bin/${CROSS_GNU_TYPE}-gcov-tool-$(PV_GCC) /usr/bin/${CROSS_GNU_TYPE}-gcov-tool \
           /usr/share/man/man1/${CROSS_GNU_TYPE}-gcc-$(PV_GCC).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gcc.1.gz \
-          /usr/share/man/man1/${CROSS_GNU_TYPE}-gcov-$(PV_GCC).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gcov.1.gz 
+          /usr/share/man/man1/${CROSS_GNU_TYPE}-gcov-$(PV_GCC).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gcov.1.gz \
+          /usr/share/man/man1/${CROSS_GNU_TYPE}-gcov-tool-$(PV_GCC).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gcov-tool.1.gz 
 
 	dh_link -pg++-${CROSS_GNU_TYPE} \
           /usr/bin/${CROSS_GNU_TYPE}-g++-$(PV_GPP) /usr/bin/${CROSS_GNU_TYPE}-g++ \
@@ -211,6 +213,3 @@
 	dh_gencontrol -pgccgo-${CROSS_GNU_TYPE}     -u-v$(EPOCH):$(CV_GGO)
 endif
 ifneq (,$(filter gdc-${CROSS_GNU_TYPE}, $(packages)))
-	dh_gencontrol -pgdc-${CROSS_GNU_TYPE}     -u-v$(EPOCH):$(CV_GDC)
-endif
-ifneq (,$(filter gcj-${CROSS_GNU_TYPE}, $(packages)))
